Loading...
Searching...
No Matches
rostlab::error_backtracer Class Reference

`#include <rostlab_stdexcept.h>`

Inheritance diagram for rostlab::error_backtracer:
[legend]

## Public Member Functions

| error_backtracer ()
virtual | ~error_backtracer () throw ()
virtual const std::string & | backtrace () const

## Detailed Description

Definition at line 30 of file rostlab_stdexcept.h.

## Constructor & Destructor Documentation

## error_backtracer()

rostlab::error_backtracer::error_backtracer | ( |  | ) |

inline

Definition at line 35 of file rostlab_stdexcept.h.

## ~error_backtracer()

virtual rostlab::error_backtracer::~error_backtracer | ( |  | ) |
throw | ( | ) |  |  |

inline virtual

Definition at line 56 of file rostlab_stdexcept.h.

## Member Function Documentation

## backtrace()

virtual const std::string & rostlab::error_backtracer::backtrace | ( |  | ) | const

inline virtual

Definition at line 59 of file rostlab_stdexcept.h.

The documentation for this class was generated from the following file:

- rostlab/rostlab_stdexcept.h